Updating to a newer version of the IDE

I am on Mac. RubyMine asks me to upgrade to the latest 3.0.1 version. I don't see an option to do this automatically through the IDE. Is it as easy as downloading the offered file and installing? Will it install on top of the old version?

2 comments
Comment actions Permalink

Yes, you can just download new RubyMine*.app and copy it to /Application folder

Will it install on top of the old version?

Old RubyMine*.app file you need to delete manually. All settings will be keeped from 3.0 version.

0
Comment actions Permalink

Roman,

I think RM should provide an "in-place upgrade". Is there a feature request for this? I personally think such a one-click upgrade capability is sorely missing in RM 3.x.
Should I file it?

-Kedar

0

Please sign in to leave a comment.